| Home | Libraries | People | FAQ | More

#### error_condition

The type of error condition used by the library.

##### Synopsis

Defined in header `<boost/json/system_error.hpp>`

    using error_condition = boost::system::error_condition;

##### Description

This type alias is set depending on how the library is configured:

##### Use with Boost

If the macro `BOOST_JSON_STANDALONE` is not defined, this type will be an alias for `boost::system::error_condition`. Compiling a program using the library will require Boost, and a compiler conforming to C++11 or later.

##### Use without Boost

If the macro `BOOST_JSON_STANDALONE` is defined, this type will be an alias for `std::error_condition`. Compiling a program using the library will require only a compiler conforming to C++17 or later.

##### See Also

https://en.cppreference.com/w/cpp/error/error_condition

Convenience header `<boost/json.hpp>`